Collection Item
This endpoint is used to manage collection items for a collection inside the organization.
Entity fields:
data.type
string
Should be "item"
data.attributes.key
string
Variable key name
data.attributes.value
string
Variable value
data.attributes.description
string
Item description
data.attributes.category
string
Variable category: "ENV" or "TERRAFORM"
data.attributes.sensitive
boolean
To hide the value when the output is sensitive
data.attributes.hcl
boolean
Whether the value is HCL formatted
When sensitive is set to true, the value field will not be returned in GET responses. Sensitive values cannot be retrieved after creation.
Example
POST /api/v1/organization/${ORGANIZATION_ID}/collection/${COLLECTION_ID}/item
{
"data": {
"type": "item",
"attributes": {
"key": "random_key",
"value": "random_value",
"description": "random_description",
"category": "ENV",
"sensitive": true,
"hcl": false
}
}
}Supported Operations
Returns the collection of item
organization Identifier
collection Identifier
Successful response
GET /api/v1/organization/{organizationId}/collection/{collectionId}/item HTTP/1.1
Accept: */*
Successful response
{
"data": []
}Creates an item of type item
organization Identifier
collection Identifier
Successful response
POST /api/v1/organization/{organizationId}/collection/{collectionId}/item HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 211
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"key": "text",
"value": "text",
"description": "text",
"category": "text",
"sensitive": true,
"hcl": true
},
"relationships": {
"collection": {
"id": "text",
"type": "collection"
}
}
}
}Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"key": "text",
"value": "text",
"description": "text",
"category": "text",
"sensitive": true,
"hcl": true
},
"relationships": {
"collection": {
"id": "text",
"type": "collection"
}
}
}
}Returns an instance of type item
organization Identifier
collection Identifier
item Identifier
Successful response
GET /api/v1/organization/{organizationId}/collection/{collectionId}/item/{itemId} HTTP/1.1
Accept: */*
Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"key": "text",
"value": "text",
"description": "text",
"category": "text",
"sensitive": true,
"hcl": true
},
"relationships": {
"collection": {
"id": "text",
"type": "collection"
}
}
}
}Deletes an instance of type item
organization Identifier
collection Identifier
item Identifier
Successful response
No content
DELETE /api/v1/organization/{organizationId}/collection/{collectionId}/item/{itemId} HTTP/1.1
Accept: */*
Successful response
No content
Modifies an instance of type item
organization Identifier
collection Identifier
item Identifier
Successful response
No content
PATCH /api/v1/organization/{organizationId}/collection/{collectionId}/item/{itemId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 211
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"key": "text",
"value": "text",
"description": "text",
"category": "text",
"sensitive": true,
"hcl": true
},
"relationships": {
"collection": {
"id": "text",
"type": "collection"
}
}
}
}Successful response
No content
Last updated
Was this helpful?